* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

html {
  scroll-behavior: smooth;
}

body {
  background: linear-gradient(to right,#99b8a6,#8c997e);
  color: #333;
}

/* NAVBAR */

nav {
  background: #294535;
  color: white;
  display: flex;
  justify-content: space-between;
  padding: 20px 70px;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 1000;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 20px;
}

nav a {
  color: rgb(216, 222, 205);
  text-decoration: none;
  font-weight: 500;
}

/* HERO */

header {
  background: linear-gradient(to right,#99b8a6,#8c997e);
  color: white;
  height: 100vh;
  text-align: center;

  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-top: 50px;
}
.about {
  padding: 300px 20px;
  background: #f9fafb;
  text-align: center;
}

.about h2 {
  font-size: 32px;
  margin-bottom: 20px;
}

.about-desc {
  max-width: 700px;
  margin: 0 auto 40px;
  font-size: 16px;
  line-height: 1.8;
  color: #1a2d11;
  .about-desc {
  text-align: center;
  .about-desc {
  max-width: 700px;
  margin: 0 auto;
  text-align: center;
  line-height: 1.8;
  
}

}

}



header h1 {
  font-size: 100px;
}

header p {
  margin: 5px 0;
  font-size: 30px;
}

.buttons {
  margin-top: 40px;
}

.btn {
  background: rgb(205, 230, 190);
  color: #244f22;
  padding: 12px 25px;
  border-radius: 30px;
  text-decoration: none;
  margin: 10px; 
  font-weight: 600;
}

.btn.outline {
  background: transparent;
  color: rgb(255, 255, 255);
  border: 2px solid white;
}

/* SECTION */

section {
  padding: 100px 50px;
  text-align: center;
}

section h2 {
  color: #162c15;
  margin-bottom: 20px;
}

/* FEATURES */

.features {
  display: grid;
  grid-template-columns: repeat(auto-fit,minmax(220px,1fr));
  gap: 25px;
  margin-top: 200px;
  margin-bottom: 200px;
}

.card {
  background: #f3f6eb;
  padding: 25px;
  border-radius: 15px;
  box-shadow: 0 5px 15px rgba(211, 198, 198, 0.1);
}

/* CTA */

.cta {
  background: #ebf5e8;
  color: rgb(43, 68, 55);
}

.cta button {
  margin-top: 20px;
  padding: 12px 30px;
  border: none;
  border-radius: 25px;
  background: white;
  color: #162c15;
  font-weight: bold;
  cursor: pointer;
}
.about {
  padding: 250px 20px;
  text-align: center;
}

.about-image img {
  width: 350px;
  margin-bottom: 60px;
}

.about-desc {
  max-width: 800px;
  margin: 0 auto;
  line-height: 1.8;
  color: #555;
}
.about-image img {
  animation: floating 4s ease-in-out infinite;
}

@keyframes floating {
  0% { transform: translateY(0); }
  50% { transform: translateY(-10px); }
  100% { transform: translateY(0); }
}



/* FOOTER */

footer {
  background: #222;
  color: white;
  padding: 20px;
  text-align: center;
}

/* ANIMATION */

.fade {
  opacity: 0;
  transform: translateY(40px);
  transition: 1s;
}

.fade.show {
  opacity: 1;
  transform: translateY(0);
}

/* RESPONSIVE */

@media(max-width:768px){

  nav {
    flex-direction: column;
    gap: 10px;
  }

  header h1 {
    font-size: 36px;
  }

}
/* LOGO */

.logo{
  height: 40px;
  cursor: pointer;
}
/* SampahHP LAYOUT */

.SampahHP-container{
  max-width: 300px;
  margin: 90px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.SampahHP-text{
  flex: 1;
  text-align: left;
}

.SampahHP-image{
  flex: 1;
  text-align: right;
}

.SampahHP-image img{
  width: 100%;
  max-width: 300px;
}

/* MOBILE */

@media(max-width:768px){

  .SampahHP-container{
    flex-direction: column;
    text-align: center;
  }

  .SampahHP-text{
    text-align: center;
  }

  .SampahHP-image{
    text-align: center;
  }

}
.SampahHP-image {
  position: relative;
}

.floating-img {
  filter: drop-shadow(0 20px 30px rgba(0,0,0,0.25));
}
.floating-img {
  width: 100px;
  animation: floating 3s ease-in-out infinite;
}

@keyframes floating {
  0% { transform: translateY(0); }
  50% { transform: translateY(-20px); }
  100% { transform: translateY(0); }
}
/* CONTAINER FIX */

.container{
  max-width: 5000px;
  margin: 0 auto;
  padding: 0 10px;

  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
}

/* ANTI GESER */

body{
  overflow-x: hidden;
}

header{
  overflow-x: hidden;
}
/* RESPONSIVE HP */

@media (max-width: 768px){

  /* Hero layout jadi ke bawah */
  .container{
    flex-direction: column;
    text-align: center;
  }

  .SampahHP-text{
    text-align: center;
  }

  .SampahHP-image{
    text-align: center;
    margin-top: 30px;
  }

  .SampahHP-image img{
    max-width: 280px; /* kecilin di HP */
  }

  header h1{
    font-size: 32px;
  }

  header p{
    font-size: 16px;
  }

  nav{
    flex-direction: column;
    gap: 10px;
  }

}/* FIX TEXT MOBILE */

@media (max-width: 768px){

  .SampahHP-text h1{
    font-size: 40px;
    line-height: 1.3;
    margin-bottom: 15px;
     margin-top: 90px;
  }

  .SampahHP-text p{
    font-size: 30px;
    line-height: 1.6;
    margin-bottom: 10px;
     
  }

  .buttons{
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: center;
  }

  .btn{
    width: 80%;
    text-align: center;
  }

}
/* FEATURE POPUP */

.card{
  cursor: pointer;
  transition: 0.6s;
}

.card:hover{
  transform: translateY(-5px);
  box-shadow: 0 10px 20px rgba(0,0,0,0.15);
  .popup {
  opacity: 0;
  transform: scale(0.8);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.popup.show {
  opacity: 1;
  transform: scale(1);
}
}

/* MODAL */

.modal{
  display: none;
  position: fixed;
  z-index: 3000;

  left: 0;
  top: 0;

  width: 100%;
  height: 100%;

  background: rgba(0,0,0,0.6);

  justify-content: center;
  align-items: center;
}

.modal-content{
  background: white;
  padding: 30px;
  border-radius: 35px;

  max-width: 400px;
  width: 90%;

  text-align: center;
}

.close{
  position: absolute;
  right: 25px;
  top: 15px;

  font-size: 28px;
  cursor: pointer;
}
.showcase {
  padding: 60px 20px;
}

.showcase-container {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 20px;
    margin-left: 50px;
}

.showcase-text {
  max-width: 500px;
}

.showcase-text h2 {
  font-size: 36px;
  margin-bottom: 20px;
    margin-left: 20px;
}

.showcase-text p {
  line-height: 1.8;
  color: #fafafa;
}

.showcase-image img {
  width: 520px;
  animation: floating 4s ease-in-out infinite;
   margin-bottom: 20px;
    margin-right: 50px;
  
}
.showcase-image img {
  width: 320px;
  animation: floating 4s ease-in-out infinite;
  filter: drop-shadow(0 25px 35px rgba(0, 0, 0, 0.25));
}

/* Responsive */
@media (max-width: 768px) {
  .showcase-container {
    flex-direction: column;
    text-align: center;
  }

  .showcase-image img {
    width: 260px;
    
  }
}
.app-feature {
  padding: 100px 20px;
}

.app-feature-container {
  display: flex;
  align-items: center;
  gap: 60px;
}

.app-feature-image {
  position: relative;
}

.app-feature-image img {
  width: 700px;
  animation: floating 4s ease-in-out infinite;
  filter: drop-shadow(0 25px 35px rgba(0,0,0,0.25));
}

.app-feature-text {
  max-width: 1000px;
}

.app-feature-text h2 {
  font-size: 34px;
  margin-bottom: 20px;
}

.app-feature-text p {
  line-height: 1.8;
  color: #f9f7f7;
  margin-bottom: 20px;
}

.app-feature-text ul {
  list-style: none;
  padding: 0;
}

.app-feature-text li {
  margin-bottom: 10px;
  font-size: 16px;
}
